"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TNSWebGLRenderingContext_1 = require("./TNSWebGLRenderingContext");
var TNSWebGL2RenderingContextBase = (function (_super) {
    __extends(TNSWebGL2RenderingContextBase, _super);
    function TNSWebGL2RenderingContextBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "READ_BUFFER", {
        get: function () {
            return 0x0C02;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNPACK_ROW_LENGTH", {
        get: function () {
            return 0x0CF2;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNPACK_SKIP_ROWS", {
        get: function () {
            return 0x0CF3;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNPACK_SKIP_PIXELS", {
        get: function () {
            return 0x0CF4;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PACK_ROW_LENGTH", {
        get: function () {
            return 0x0D02;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PACK_SKIP_ROWS", {
        get: function () {
            return 0x0D03;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PACK_SKIP_PIXELS", {
        get: function () {
            return 0x0D04;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_BINDING_3D", {
        get: function () {
            return 0x806A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNPACK_SKIP_IMAGES", {
        get: function () {
            return 0x806D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNPACK_IMAGE_HEIGHT", {
        get: function () {
            return 0x806E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_3D_TEXTURE_SIZE", {
        get: function () {
            return 0x8073;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_ELEMENTS_VERTICES", {
        get: function () {
            return 0x80E8;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_ELEMENTS_INDICES", {
        get: function () {
            return 0x80E9;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_TEXTURE_LOD_BIAS", {
        get: function () {
            return 0x84FD;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_FRAGMENT_UNIFORM_COMPONENTS", {
        get: function () {
            return 0x8B49;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_VERTEX_UNIFORM_COMPONENTS", {
        get: function () {
            return 0x8B4A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_ARRAY_TEXTURE_LAYERS", {
        get: function () {
            return 0x88FF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MIN_PROGRAM_TEXEL_OFFSET", {
        get: function () {
            return 0x8904;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_PROGRAM_TEXEL_OFFSET", {
        get: function () {
            return 0x8905;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_VARYING_COMPONENTS", {
        get: function () {
            return 0x8B4B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAGMENT_SHADER_DERIVATIVE_HINT", {
        get: function () {
            return 0x8B8B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RASTERIZER_DISCARD", {
        get: function () {
            return 0x8C89;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "VERTEX_ARRAY_BINDING", {
        get: function () {
            return 0x85B5;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_VERTEX_OUTPUT_COMPONENTS", {
        get: function () {
            return 0x9122;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_FRAGMENT_INPUT_COMPONENTS", {
        get: function () {
            return 0x9125;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_SERVER_WAIT_TIMEOUT", {
        get: function () {
            return 0x9111;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_ELEMENT_INDEX", {
        get: function () {
            return 0x8D6B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RED", {
        get: function () {
            return 0x1903;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB8", {
        get: function () {
            return 0x8051;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA8", {
        get: function () {
            return 0x8058;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB10_A2", {
        get: function () {
            return 0x8059;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_3D", {
        get: function () {
            return 0x806F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_WRAP_R", {
        get: function () {
            return 0x8072;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_MIN_LOD", {
        get: function () {
            return 0x813A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_MAX_LOD", {
        get: function () {
            return 0x813B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_BASE_LEVEL", {
        get: function () {
            return 0x813C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_MAX_LEVEL", {
        get: function () {
            return 0x813D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_COMPARE_MODE", {
        get: function () {
            return 0x884C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_COMPARE_FUNC", {
        get: function () {
            return 0x884D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SRGB", {
        get: function () {
            return 0x8C40;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SRGB8", {
        get: function () {
            return 0x8C41;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SRGB8_ALPHA8", {
        get: function () {
            return 0x8C43;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COMPARE_REF_TO_TEXTURE", {
        get: function () {
            return 0x884E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA32F", {
        get: function () {
            return 0x8814;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB32F", {
        get: function () {
            return 0x8815;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA16F", {
        get: function () {
            return 0x881A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB16F", {
        get: function () {
            return 0x881B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_2D_ARRAY", {
        get: function () {
            return 0x8C1A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_BINDING_2D_ARRAY", {
        get: function () {
            return 0x8C1D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R11F_G11F_B10F", {
        get: function () {
            return 0x8C3A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB9_E5", {
        get: function () {
            return 0x8C3D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA32UI", {
        get: function () {
            return 0x8D70;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB32UI", {
        get: function () {
            return 0x8D71;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA16UI", {
        get: function () {
            return 0x8D76;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB16UI", {
        get: function () {
            return 0x8D77;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA8UI", {
        get: function () {
            return 0x8D7C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB8UI", {
        get: function () {
            return 0x8D7D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA32I", {
        get: function () {
            return 0x8D82;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB32I", {
        get: function () {
            return 0x8D83;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA16I", {
        get: function () {
            return 0x8D88;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB16I", {
        get: function () {
            return 0x8D89;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA8I", {
        get: function () {
            return 0x8D8E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB8I", {
        get: function () {
            return 0x8D8F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RED_INTEGER", {
        get: function () {
            return 0x8D94;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB_INTEGER", {
        get: function () {
            return 0x8D98;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA_INTEGER", {
        get: function () {
            return 0x8D99;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R8", {
        get: function () {
            return 0x8229;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG8", {
        get: function () {
            return 0x822B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R16F", {
        get: function () {
            return 0x822D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R32F", {
        get: function () {
            return 0x822E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG16F", {
        get: function () {
            return 0x822F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG32F", {
        get: function () {
            return 0x8230;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R8I", {
        get: function () {
            return 0x8231;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R8UI", {
        get: function () {
            return 0x8232;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R16I", {
        get: function () {
            return 0x8233;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R16UI", {
        get: function () {
            return 0x8234;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R32I", {
        get: function () {
            return 0x8235;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R32UI", {
        get: function () {
            return 0x8236;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG8I", {
        get: function () {
            return 0x8237;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG8UI", {
        get: function () {
            return 0x8238;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG16I", {
        get: function () {
            return 0x8239;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG16UI", {
        get: function () {
            return 0x823A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG32I", {
        get: function () {
            return 0x823B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG32UI", {
        get: function () {
            return 0x823C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "R8_SNORM", {
        get: function () {
            return 0x8F94;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG8_SNORM", {
        get: function () {
            return 0x8F95;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB8_SNORM", {
        get: function () {
            return 0x8F96;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGBA8_SNORM", {
        get: function () {
            return 0x8F97;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RGB10_A2UI", {
        get: function () {
            return 0x906F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_IMMUTABLE_FORMAT", {
        get: function () {
            return 0x912F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TEXTURE_IMMUTABLE_LEVELS", {
        get: function () {
            return 0x82DF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_2_10_10_10_REV", {
        get: function () {
            return 0x8368;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_10F_11F_11F_REV", {
        get: function () {
            return 0x8C3B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_5_9_9_9_REV", {
        get: function () {
            return 0x8C3E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_32_UNSIGNED_INT_24_8_REV", {
        get: function () {
            return 0x8DAD;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_24_8", {
        get: function () {
            return 0x84FA;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "HALF_FLOAT", {
        get: function () {
            return 0x140B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG", {
        get: function () {
            return 0x8227;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RG_INTEGER", {
        get: function () {
            return 0x8228;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INT_2_10_10_10_REV", {
        get: function () {
            return 0x8D9F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "QUERY_RESULT_AVAILABLE", {
        get: function () {
            return 0x8865;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "QUERY_RESULT", {
        get: function () {
            return 0x8866;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "CURRENT_QUERY", {
        get: function () {
            return 0x8867;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "ANY_SAMPLES_PASSED", {
        get: function () {
            return 0x8C2F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "ANY_SAMPLES_PASSED_CONSERVATIVE", {
        get: function () {
            return 0x8D6A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_DRAW_BUFFERS", {
        get: function () {
            return 0x8824;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER0", {
        get: function () {
            return 0x8825;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER1", {
        get: function () {
            return 0x8826;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER2", {
        get: function () {
            return 0x8827;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER3", {
        get: function () {
            return 0x8828;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER4", {
        get: function () {
            return 0x8829;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER5", {
        get: function () {
            return 0x882A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER6", {
        get: function () {
            return 0x882B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER7", {
        get: function () {
            return 0x882C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER8", {
        get: function () {
            return 0x882D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER9", {
        get: function () {
            return 0x882E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER10", {
        get: function () {
            return 0x882F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER11", {
        get: function () {
            return 0x8830;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER12", {
        get: function () {
            return 0x8831;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER13", {
        get: function () {
            return 0x8832;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER14", {
        get: function () {
            return 0x8833;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_BUFFER15", {
        get: function () {
            return 0x8834;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_COLOR_ATTACHMENTS", {
        get: function () {
            return 0x8CDF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT1", {
        get: function () {
            return 0x8CE1;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT2", {
        get: function () {
            return 0x8CE2;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT3", {
        get: function () {
            return 0x8CE3;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT4", {
        get: function () {
            return 0x8CE4;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT5", {
        get: function () {
            return 0x8CE5;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT6", {
        get: function () {
            return 0x8CE6;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT7", {
        get: function () {
            return 0x8CE7;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT8", {
        get: function () {
            return 0x8CE8;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT9", {
        get: function () {
            return 0x8CE9;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT10", {
        get: function () {
            return 0x8CEA;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT11", {
        get: function () {
            return 0x8CEB;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT12", {
        get: function () {
            return 0x8CEC;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT13", {
        get: function () {
            return 0x8CED;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT14", {
        get: function () {
            return 0x8CEE;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR_ATTACHMENT15", {
        get: function () {
            return 0x8CEF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SAMPLER_3D", {
        get: function () {
            return 0x8B5F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SAMPLER_2D_SHADOW", {
        get: function () {
            return 0x8B62;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SAMPLER_2D_ARRAY", {
        get: function () {
            return 0x8DC1;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SAMPLER_2D_ARRAY_SHADOW", {
        get: function () {
            return 0x8DC4;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SAMPLER_CUBE_SHADOW", {
        get: function () {
            return 0x8DC5;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INT_SAMPLER_2D", {
        get: function () {
            return 0x8DCA;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INT_SAMPLER_3D", {
        get: function () {
            return 0x8DCB;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INT_SAMPLER_CUBE", {
        get: function () {
            return 0x8DCC;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INT_SAMPLER_2D_ARRAY", {
        get: function () {
            return 0x8DCF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_SAMPLER_2D", {
        get: function () {
            return 0x8DD2;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_SAMPLER_3D", {
        get: function () {
            return 0x8DD3;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_SAMPLER_CUBE", {
        get: function () {
            return 0x8DD4;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_SAMPLER_2D_ARRAY", {
        get: function () {
            return 0x8DD7;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_SAMPLES", {
        get: function () {
            return 0x8D57;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SAMPLER_BINDING", {
        get: function () {
            return 0x8919;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PIXEL_PACK_BUFFER", {
        get: function () {
            return 0x88EB;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PIXEL_UNPACK_BUFFER", {
        get: function () {
            return 0x88EC;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PIXEL_PACK_BUFFER_BINDING", {
        get: function () {
            return 0x88ED;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "PIXEL_UNPACK_BUFFER_BINDING", {
        get: function () {
            return 0x88EF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COPY_READ_BUFFER", {
        get: function () {
            return 0x8F36;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COPY_WRITE_BUFFER", {
        get: function () {
            return 0x8F37;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COPY_READ_BUFFER_BINDING", {
        get: function () {
            return 0x8F36;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COPY_WRITE_BUFFER_BINDING", {
        get: function () {
            return 0x8F37;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_MAT2x3", {
        get: function () {
            return 0x8B65;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_MAT2x4", {
        get: function () {
            return 0x8B66;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_MAT3x2", {
        get: function () {
            return 0x8B67;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_MAT3x4", {
        get: function () {
            return 0x8B68;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_MAT4x2", {
        get: function () {
            return 0x8B69;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FLOAT_MAT4x3", {
        get: function () {
            return 0x8B6A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_VEC2", {
        get: function () {
            return 0x8DC6;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_VEC3", {
        get: function () {
            return 0x8DC7;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_INT_VEC4", {
        get: function () {
            return 0x8DC8;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNED_NORMALIZED", {
        get: function () {
            return 0x8C17;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SIGNED_NORMALIZED", {
        get: function () {
            return 0x8F9C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "VERTEX_ATTRIB_ARRAY_INTEGER", {
        get: function () {
            return 0x88FD;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "VERTEX_ATTRIB_ARRAY_DIVISOR", {
        get: function () {
            return 0x88FE;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_BUFFER_MODE", {
        get: function () {
            return 0x8C7F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS", {
        get: function () {
            return 0x8C80;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_VARYINGS", {
        get: function () {
            return 0x8C83;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_BUFFER_START", {
        get: function () {
            return 0x8C84;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_BUFFER_SIZE", {
        get: function () {
            return 0x8C85;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN", {
        get: function () {
            return 0x8C88;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS", {
        get: function () {
            return 0x8C8A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS", {
        get: function () {
            return 0x8C8B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INTERLEAVED_ATTRIBS", {
        get: function () {
            return 0x8C8C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SEPARATE_ATTRIBS", {
        get: function () {
            return 0x8C8D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_BUFFER", {
        get: function () {
            return 0x8C8E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_BUFFER_BINDING", {
        get: function () {
            return 0x8C8F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK", {
        get: function () {
            return 0x8E22;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_PAUSED", {
        get: function () {
            return 0x8E23;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_ACTIVE", {
        get: function () {
            return 0x8E24;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TRANSFORM_FEEDBACK_BINDING", {
        get: function () {
            return 0x8E25;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING", {
        get: function () {
            return 0x8210;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE", {
        get: function () {
            return 0x8211;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_RED_SIZE", {
        get: function () {
            return 0x8212;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_GREEN_SIZE", {
        get: function () {
            return 0x8213;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_BLUE_SIZE", {
        get: function () {
            return 0x8214;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE", {
        get: function () {
            return 0x8215;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE", {
        get: function () {
            return 0x8216;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE", {
        get: function () {
            return 0x8217;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_DEFAULT", {
        get: function () {
            return 0x8218;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH_STENCIL_ATTACHMENT", {
        get: function () {
            return 0x821A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH_STENCIL", {
        get: function () {
            return 0x84F9;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH24_STENCIL8", {
        get: function () {
            return 0x88F0;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_FRAMEBUFFER_BINDING", {
        get: function () {
            return 0x8CA6;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "READ_FRAMEBUFFER", {
        get: function () {
            return 0x8CA8;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DRAW_FRAMEBUFFER", {
        get: function () {
            return 0x8CA9;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "READ_FRAMEBUFFER_BINDING", {
        get: function () {
            return 0x8CAA;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "RENDERBUFFER_SAMPLES", {
        get: function () {
            return 0x8CAB;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER", {
        get: function () {
            return 0x8CD4;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "FRAMEBUFFER_INCOMPLETE_MULTISAMPLE", {
        get: function () {
            return 0x8D56;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BUFFER", {
        get: function () {
            return 0x8A11;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BUFFER_BINDING", {
        get: function () {
            return 0x8A28;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BUFFER_START", {
        get: function () {
            return 0x8A29;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BUFFER_SIZE", {
        get: function () {
            return 0x8A2A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_VERTEX_UNIFORM_BLOCKS", {
        get: function () {
            return 0x8A2B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_FRAGMENT_UNIFORM_BLOCKS", {
        get: function () {
            return 0x8A2D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_COMBINED_UNIFORM_BLOCKS", {
        get: function () {
            return 0x8A2E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_UNIFORM_BUFFER_BINDINGS", {
        get: function () {
            return 0x8A2F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_UNIFORM_BLOCK_SIZE", {
        get: function () {
            return 0x8A30;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS", {
        get: function () {
            return 0x8A31;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS", {
        get: function () {
            return 0x8A33;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BUFFER_OFFSET_ALIGNMENT", {
        get: function () {
            return 0x8A34;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "ACTIVE_UNIFORM_BLOCKS", {
        get: function () {
            return 0x8A36;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_TYPE", {
        get: function () {
            return 0x8A37;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_SIZE", {
        get: function () {
            return 0x8A38;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_INDEX", {
        get: function () {
            return 0x8A3A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_OFFSET", {
        get: function () {
            return 0x8A3B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_ARRAY_STRIDE", {
        get: function () {
            return 0x8A3C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_MATRIX_STRIDE", {
        get: function () {
            return 0x8A3D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_IS_ROW_MAJOR", {
        get: function () {
            return 0x8A3E;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_BINDING", {
        get: function () {
            return 0x8A3F;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_DATA_SIZE", {
        get: function () {
            return 0x8A40;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_ACTIVE_UNIFORMS", {
        get: function () {
            return 0x8A42;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES", {
        get: function () {
            return 0x8A43;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER", {
        get: function () {
            return 0x8A44;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER", {
        get: function () {
            return 0x8A46;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "OBJECT_TYPE", {
        get: function () {
            return 0x9112;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SYNC_CONDITION", {
        get: function () {
            return 0x9113;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SYNC_STATUS", {
        get: function () {
            return 0x9114;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SYNC_FLAGS", {
        get: function () {
            return 0x9115;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SYNC_FENCE", {
        get: function () {
            return 0x9116;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SYNC_GPU_COMMANDS_COMPLETE", {
        get: function () {
            return 0x9117;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "UNSIGNALED", {
        get: function () {
            return 0x9118;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SIGNALED", {
        get: function () {
            return 0x9119;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "ALREADY_SIGNALED", {
        get: function () {
            return 0x911A;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TIMEOUT_EXPIRED", {
        get: function () {
            return 0x911B;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "CONDITION_SATISFIED", {
        get: function () {
            return 0x911C;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "WAIT_FAILED", {
        get: function () {
            return 0x911D;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "SYNC_FLUSH_COMMANDS_BIT", {
        get: function () {
            return 0x00000001;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "COLOR", {
        get: function () {
            return 0x1800;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH", {
        get: function () {
            return 0x1801;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "STENCIL", {
        get: function () {
            return 0x1802;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MIN", {
        get: function () {
            return 0x8007;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX", {
        get: function () {
            return 0x8008;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH_COMPONENT24", {
        get: function () {
            return 0x81A6;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "STREAM_READ", {
        get: function () {
            return 0x88E1;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "STREAM_COPY", {
        get: function () {
            return 0x88E2;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "STATIC_READ", {
        get: function () {
            return 0x88E5;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "STATIC_COPY", {
        get: function () {
            return 0x88E6;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DYNAMIC_READ", {
        get: function () {
            return 0x88E9;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DYNAMIC_COPY", {
        get: function () {
            return 0x88EA;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH_COMPONENT32F", {
        get: function () {
            return 0x8CAC;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "DEPTH32F_STENCIL8", {
        get: function () {
            return 0x8CAD;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "INVALID_INDEX", {
        get: function () {
            return 0xFFFFFFFF;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "TIMEOUT_IGNORED", {
        get: function () {
            return -1;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TNSWebGL2RenderingContextBase.prototype, "MAX_CLIENT_WAIT_TIMEOUT_WEBGL", {
        get: function () {
            return 0x9247;
        },
        enumerable: true,
        configurable: true
    });
    return TNSWebGL2RenderingContextBase;
}(TNSWebGLRenderingContext_1.TNSWebGLRenderingContext));
exports.TNSWebGL2RenderingContextBase = TNSWebGL2RenderingContextBase;
//# sourceMappingURL=TNSWebGL2RenderingContextBase.js.map