import { TNSDOMMatrix } from './TNSDOMMatrix';
import { TNSCanvasBase } from './canvas-plugin.common';
import { TNSCanvasRenderingContext2D } from './TNSCanvasRenderingContext2D';
import { TNSWebGLRenderingContext } from './TNSWebGLRenderingContext';
import { TNSWebGL2RenderingContext } from './TNSWebGL2RenderingContext';
export declare function createSVGMatrix(): TNSDOMMatrix;
export * from './canvas-plugin.common';
export declare class TNSCanvas extends TNSCanvasBase {
    _ready: boolean;
    private _2dContext;
    private _webglContext;
    private _webgl2Context;
    private _canvas;
    private _didPause;
    constructor();
    get android(): any;
    get clientWidth(): any;
    get clientHeight(): any;
    get width(): any;
    set width(value: any);
    get height(): any;
    set height(value: any);
    static createCustomView(): TNSCanvas;
    createNativeView(): any;
    initNativeView(): void;
    onUnloaded(): void;
    onLoaded(): void;
    flush(): void;
    disposeNativeView(): void;
    toDataURL(type?: string, encoderOptions?: number): any;
    _layoutNative(): void;
    getContext(type: string, options?: any): TNSCanvasRenderingContext2D | TNSWebGLRenderingContext | TNSWebGL2RenderingContext | null;
    getBoundingClientRect(): {
        x: number;
        y: number;
        width: number;
        height: number;
        top: number;
        right: number;
        bottom: number;
        left: number;
    };
}
