import { TNSWebGLRenderingContext } from "./TNSWebGLRenderingContext";
export declare class TNSWebGL2RenderingContextBase extends TNSWebGLRenderingContext {
    get READ_BUFFER(): number;
    get UNPACK_ROW_LENGTH(): number;
    get UNPACK_SKIP_ROWS(): number;
    get UNPACK_SKIP_PIXELS(): number;
    get PACK_ROW_LENGTH(): number;
    get PACK_SKIP_ROWS(): number;
    get PACK_SKIP_PIXELS(): number;
    get TEXTURE_BINDING_3D(): number;
    get UNPACK_SKIP_IMAGES(): number;
    get UNPACK_IMAGE_HEIGHT(): number;
    get MAX_3D_TEXTURE_SIZE(): number;
    get MAX_ELEMENTS_VERTICES(): number;
    get MAX_ELEMENTS_INDICES(): number;
    get MAX_TEXTURE_LOD_BIAS(): number;
    get MAX_FRAGMENT_UNIFORM_COMPONENTS(): number;
    get MAX_VERTEX_UNIFORM_COMPONENTS(): number;
    get MAX_ARRAY_TEXTURE_LAYERS(): number;
    get MIN_PROGRAM_TEXEL_OFFSET(): number;
    get MAX_PROGRAM_TEXEL_OFFSET(): number;
    get MAX_VARYING_COMPONENTS(): number;
    get FRAGMENT_SHADER_DERIVATIVE_HINT(): number;
    get RASTERIZER_DISCARD(): number;
    get VERTEX_ARRAY_BINDING(): number;
    get MAX_VERTEX_OUTPUT_COMPONENTS(): number;
    get MAX_FRAGMENT_INPUT_COMPONENTS(): number;
    get MAX_SERVER_WAIT_TIMEOUT(): number;
    get MAX_ELEMENT_INDEX(): number;
    get RED(): number;
    get RGB8(): number;
    get RGBA8(): number;
    get RGB10_A2(): number;
    get TEXTURE_3D(): number;
    get TEXTURE_WRAP_R(): number;
    get TEXTURE_MIN_LOD(): number;
    get TEXTURE_MAX_LOD(): number;
    get TEXTURE_BASE_LEVEL(): number;
    get TEXTURE_MAX_LEVEL(): number;
    get TEXTURE_COMPARE_MODE(): number;
    get TEXTURE_COMPARE_FUNC(): number;
    get SRGB(): number;
    get SRGB8(): number;
    get SRGB8_ALPHA8(): number;
    get COMPARE_REF_TO_TEXTURE(): number;
    get RGBA32F(): number;
    get RGB32F(): number;
    get RGBA16F(): number;
    get RGB16F(): number;
    get TEXTURE_2D_ARRAY(): number;
    get TEXTURE_BINDING_2D_ARRAY(): number;
    get R11F_G11F_B10F(): number;
    get RGB9_E5(): number;
    get RGBA32UI(): number;
    get RGB32UI(): number;
    get RGBA16UI(): number;
    get RGB16UI(): number;
    get RGBA8UI(): number;
    get RGB8UI(): number;
    get RGBA32I(): number;
    get RGB32I(): number;
    get RGBA16I(): number;
    get RGB16I(): number;
    get RGBA8I(): number;
    get RGB8I(): number;
    get RED_INTEGER(): number;
    get RGB_INTEGER(): number;
    get RGBA_INTEGER(): number;
    get R8(): number;
    get RG8(): number;
    get R16F(): number;
    get R32F(): number;
    get RG16F(): number;
    get RG32F(): number;
    get R8I(): number;
    get R8UI(): number;
    get R16I(): number;
    get R16UI(): number;
    get R32I(): number;
    get R32UI(): number;
    get RG8I(): number;
    get RG8UI(): number;
    get RG16I(): number;
    get RG16UI(): number;
    get RG32I(): number;
    get RG32UI(): number;
    get R8_SNORM(): number;
    get RG8_SNORM(): number;
    get RGB8_SNORM(): number;
    get RGBA8_SNORM(): number;
    get RGB10_A2UI(): number;
    get TEXTURE_IMMUTABLE_FORMAT(): number;
    get TEXTURE_IMMUTABLE_LEVELS(): number;
    get UNSIGNED_INT_2_10_10_10_REV(): number;
    get UNSIGNED_INT_10F_11F_11F_REV(): number;
    get UNSIGNED_INT_5_9_9_9_REV(): number;
    get FLOAT_32_UNSIGNED_INT_24_8_REV(): number;
    get UNSIGNED_INT_24_8(): number;
    get HALF_FLOAT(): number;
    get RG(): number;
    get RG_INTEGER(): number;
    get INT_2_10_10_10_REV(): number;
    get QUERY_RESULT_AVAILABLE(): number;
    get QUERY_RESULT(): number;
    get CURRENT_QUERY(): number;
    get ANY_SAMPLES_PASSED(): number;
    get ANY_SAMPLES_PASSED_CONSERVATIVE(): number;
    get MAX_DRAW_BUFFERS(): number;
    get DRAW_BUFFER0(): number;
    get DRAW_BUFFER1(): number;
    get DRAW_BUFFER2(): number;
    get DRAW_BUFFER3(): number;
    get DRAW_BUFFER4(): number;
    get DRAW_BUFFER5(): number;
    get DRAW_BUFFER6(): number;
    get DRAW_BUFFER7(): number;
    get DRAW_BUFFER8(): number;
    get DRAW_BUFFER9(): number;
    get DRAW_BUFFER10(): number;
    get DRAW_BUFFER11(): number;
    get DRAW_BUFFER12(): number;
    get DRAW_BUFFER13(): number;
    get DRAW_BUFFER14(): number;
    get DRAW_BUFFER15(): number;
    get MAX_COLOR_ATTACHMENTS(): number;
    get COLOR_ATTACHMENT1(): number;
    get COLOR_ATTACHMENT2(): number;
    get COLOR_ATTACHMENT3(): number;
    get COLOR_ATTACHMENT4(): number;
    get COLOR_ATTACHMENT5(): number;
    get COLOR_ATTACHMENT6(): number;
    get COLOR_ATTACHMENT7(): number;
    get COLOR_ATTACHMENT8(): number;
    get COLOR_ATTACHMENT9(): number;
    get COLOR_ATTACHMENT10(): number;
    get COLOR_ATTACHMENT11(): number;
    get COLOR_ATTACHMENT12(): number;
    get COLOR_ATTACHMENT13(): number;
    get COLOR_ATTACHMENT14(): number;
    get COLOR_ATTACHMENT15(): number;
    get SAMPLER_3D(): number;
    get SAMPLER_2D_SHADOW(): number;
    get SAMPLER_2D_ARRAY(): number;
    get SAMPLER_2D_ARRAY_SHADOW(): number;
    get SAMPLER_CUBE_SHADOW(): number;
    get INT_SAMPLER_2D(): number;
    get INT_SAMPLER_3D(): number;
    get INT_SAMPLER_CUBE(): number;
    get INT_SAMPLER_2D_ARRAY(): number;
    get UNSIGNED_INT_SAMPLER_2D(): number;
    get UNSIGNED_INT_SAMPLER_3D(): number;
    get UNSIGNED_INT_SAMPLER_CUBE(): number;
    get UNSIGNED_INT_SAMPLER_2D_ARRAY(): number;
    get MAX_SAMPLES(): number;
    get SAMPLER_BINDING(): number;
    get PIXEL_PACK_BUFFER(): number;
    get PIXEL_UNPACK_BUFFER(): number;
    get PIXEL_PACK_BUFFER_BINDING(): number;
    get PIXEL_UNPACK_BUFFER_BINDING(): number;
    get COPY_READ_BUFFER(): number;
    get COPY_WRITE_BUFFER(): number;
    get COPY_READ_BUFFER_BINDING(): number;
    get COPY_WRITE_BUFFER_BINDING(): number;
    get FLOAT_MAT2x3(): number;
    get FLOAT_MAT2x4(): number;
    get FLOAT_MAT3x2(): number;
    get FLOAT_MAT3x4(): number;
    get FLOAT_MAT4x2(): number;
    get FLOAT_MAT4x3(): number;
    get UNSIGNED_INT_VEC2(): number;
    get UNSIGNED_INT_VEC3(): number;
    get UNSIGNED_INT_VEC4(): number;
    get UNSIGNED_NORMALIZED(): number;
    get SIGNED_NORMALIZED(): number;
    get VERTEX_ATTRIB_ARRAY_INTEGER(): number;
    get VERTEX_ATTRIB_ARRAY_DIVISOR(): number;
    get TRANSFORM_FEEDBACK_BUFFER_MODE(): number;
    get MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS(): number;
    get TRANSFORM_FEEDBACK_VARYINGS(): number;
    get TRANSFORM_FEEDBACK_BUFFER_START(): number;
    get TRANSFORM_FEEDBACK_BUFFER_SIZE(): number;
    get TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN(): number;
    get MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS(): number;
    get MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS(): number;
    get INTERLEAVED_ATTRIBS(): number;
    get SEPARATE_ATTRIBS(): number;
    get TRANSFORM_FEEDBACK_BUFFER(): number;
    get TRANSFORM_FEEDBACK_BUFFER_BINDING(): number;
    get TRANSFORM_FEEDBACK(): number;
    get TRANSFORM_FEEDBACK_PAUSED(): number;
    get TRANSFORM_FEEDBACK_ACTIVE(): number;
    get TRANSFORM_FEEDBACK_BINDING(): number;
    get FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING(): number;
    get FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE(): number;
    get FRAMEBUFFER_ATTACHMENT_RED_SIZE(): number;
    get FRAMEBUFFER_ATTACHMENT_GREEN_SIZE(): number;
    get FRAMEBUFFER_ATTACHMENT_BLUE_SIZE(): number;
    get FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE(): number;
    get FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE(): number;
    get FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE(): number;
    get FRAMEBUFFER_DEFAULT(): number;
    get DEPTH_STENCIL_ATTACHMENT(): number;
    get DEPTH_STENCIL(): number;
    get DEPTH24_STENCIL8(): number;
    get DRAW_FRAMEBUFFER_BINDING(): number;
    get READ_FRAMEBUFFER(): number;
    get DRAW_FRAMEBUFFER(): number;
    get READ_FRAMEBUFFER_BINDING(): number;
    get RENDERBUFFER_SAMPLES(): number;
    get FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER(): number;
    get FRAMEBUFFER_INCOMPLETE_MULTISAMPLE(): number;
    get UNIFORM_BUFFER(): number;
    get UNIFORM_BUFFER_BINDING(): number;
    get UNIFORM_BUFFER_START(): number;
    get UNIFORM_BUFFER_SIZE(): number;
    get MAX_VERTEX_UNIFORM_BLOCKS(): number;
    get MAX_FRAGMENT_UNIFORM_BLOCKS(): number;
    get MAX_COMBINED_UNIFORM_BLOCKS(): number;
    get MAX_UNIFORM_BUFFER_BINDINGS(): number;
    get MAX_UNIFORM_BLOCK_SIZE(): number;
    get MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS(): number;
    get MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS(): number;
    get UNIFORM_BUFFER_OFFSET_ALIGNMENT(): number;
    get ACTIVE_UNIFORM_BLOCKS(): number;
    get UNIFORM_TYPE(): number;
    get UNIFORM_SIZE(): number;
    get UNIFORM_BLOCK_INDEX(): number;
    get UNIFORM_OFFSET(): number;
    get UNIFORM_ARRAY_STRIDE(): number;
    get UNIFORM_MATRIX_STRIDE(): number;
    get UNIFORM_IS_ROW_MAJOR(): number;
    get UNIFORM_BLOCK_BINDING(): number;
    get UNIFORM_BLOCK_DATA_SIZE(): number;
    get UNIFORM_BLOCK_ACTIVE_UNIFORMS(): number;
    get UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES(): number;
    get UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER(): number;
    get UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER(): number;
    get OBJECT_TYPE(): number;
    get SYNC_CONDITION(): number;
    get SYNC_STATUS(): number;
    get SYNC_FLAGS(): number;
    get SYNC_FENCE(): number;
    get SYNC_GPU_COMMANDS_COMPLETE(): number;
    get UNSIGNALED(): number;
    get SIGNALED(): number;
    get ALREADY_SIGNALED(): number;
    get TIMEOUT_EXPIRED(): number;
    get CONDITION_SATISFIED(): number;
    get WAIT_FAILED(): number;
    get SYNC_FLUSH_COMMANDS_BIT(): number;
    get COLOR(): number;
    get DEPTH(): number;
    get STENCIL(): number;
    get MIN(): number;
    get MAX(): number;
    get DEPTH_COMPONENT24(): number;
    get STREAM_READ(): number;
    get STREAM_COPY(): number;
    get STATIC_READ(): number;
    get STATIC_COPY(): number;
    get DYNAMIC_READ(): number;
    get DYNAMIC_COPY(): number;
    get DEPTH_COMPONENT32F(): number;
    get DEPTH32F_STENCIL8(): number;
    get INVALID_INDEX(): number;
    get TIMEOUT_IGNORED(): number;
    get MAX_CLIENT_WAIT_TIMEOUT_WEBGL(): number;
}
