"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SVGItem_1 = require("./SVGItem");
var Stop = (function (_super) {
    __extends(Stop, _super);
    function Stop() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Stop.prototype, "stopColor", {
        get: function () {
            return this.style.stopColor;
        },
        set: function (value) {
            this.style.stopColor = value;
        },
        enumerable: true,
        configurable: true
    });
    Stop.prototype._realOffset = function () {
        if (typeof this.offset === 'string') {
            if (this.offset.indexOf('%') > -1) {
                var offset = parseInt(this.offset.replace('%', ''));
                return !isNaN(offset) ? offset / 100 : 0;
            }
            else {
                return parseFloat(this.offset);
            }
        }
        return this.offset;
    };
    return Stop;
}(SVGItem_1.SVGItem));
exports.Stop = Stop;
//# sourceMappingURL=Stop.js.map